## org.apache.batik.parser
Interface PointsHandler

All Known Implementing Classes:
  AbstractSVGPointList.PointsListBuilder, AWTPolygonProducer, AWTPolylineProducer, DefaultPointsHandler, FloatArrayProducer

    public interface PointsHandler

This interface must be implemented and then registred as the handler of a `PointsParser` instance in order to be notified of parsing events.

Method Summary
`void` `endPoints()` Invoked when the points attribute ends.
`void` `point(float x, float y)` Invoked when a point has been parsed.
`void` `startPoints()` Invoked when the points attribute starts.

Method Detail

### startPoints

    void startPoints()
                     throws ParseException

  Invoked when the points attribute starts.

  Throws:
    `ParseException` - if an error occured while processing the points

### point

    void point(float x,
               float y)
               throws ParseException

  Invoked when a point has been parsed.

  Parameters:
    `x` - the x coordinate of the point
    `y` - the y coordinate of the point
  Throws:
    `ParseException` - if an error occured while processing the points

### endPoints

    void endPoints()
                   throws ParseException

  Invoked when the points attribute ends.

  Throws:
    `ParseException` - if an error occured while processing the points

Copyright © 2008 Apache Software Foundation. All Rights Reserved.